cURL
curl --request GET \
--url https://v2.easystreetoffers.com/api/v2/offer-requests/{offer_request_id} \
--header 'Authorization: <api-key>'import requests
url = "https://v2.easystreetoffers.com/api/v2/offer-requests/{offer_request_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://v2.easystreetoffers.com/api/v2/offer-requests/{offer_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request": {
"offer_request_asking": 123,
"test": true
},
"property": {
"StreetNumber": "<string>",
"StreetName": "<string>",
"PostalCity": "<string>",
"StateOrProvince": "<string>",
"PostalCode": "<string>",
"MlsStatus": "Active",
"UnitNumber": "<string>",
"BedroomsTotal": 123,
"BathroomsFull": 123,
"BathroomsHalf": 123,
"LivingArea": 123,
"LotSizeSquareFeet": 123,
"GarageYN": true,
"Longitude": 123,
"Latitude": 123,
"Notes": "<string>",
"tags": [
"<string>"
],
"YearBuilt": 123,
"AssociationFee": 123,
"AssociationFee2": 123,
"AssociationFee2Frequency": "<string>",
"AssociationFeeFrequency": "Annually",
"AssociationYN": true,
"AttachedGarageYN": true,
"Basement": [
"<string>"
],
"BasementYN": true,
"BathroomsOneQuarter": 123,
"BathroomsPartial": 123,
"BathroomsThreeQuarter": 123,
"CarportSpaces": 123,
"CarportYN": true,
"City": "<string>",
"CountyOrParish": "<string>",
"CoveredSpaces": 123,
"GarageSpaces": 123,
"HistoryTransactional": "<string>",
"Levels": [
"<string>"
],
"ListAgent": "<string>",
"ListAgentDirectPhone": "<string>",
"ListAgentEmail": "<string>",
"ListAgentFullName": "<string>",
"ListOffice": "<string>",
"ListOfficeName": "<string>",
"ListPrice": 123,
"LivingAreaSource": "<string>",
"LivingAreaUnits": "<string>",
"OccupantType": "Owner",
"OpenParkingSpaces": 123,
"OpenParkingYN": true,
"OtherParking": "<string>",
"OwnerName": "<string>",
"ParcelNumber": "<string>",
"ParkingTotal": 123,
"PoolPrivateYN": true,
"PropertySubType": "Single Family Residence",
"PropertyType": "<string>",
"SeniorCommunityYN": true,
"Sewer": [
"Aerobic Septic"
],
"SpaYN": true,
"StandardStatus": "<string>",
"Stories": 123,
"StreetAdditionalInfo": "<string>",
"StreetDirPrefix": "<string>",
"StreetDirSuffix": "<string>",
"StreetNumberNumeric": 123,
"StreetSuffix": "<string>",
"StreetSuffixModifier": "<string>",
"TaxLegalDescription": "<string>",
"TaxOtherAnnualAssessmentAmount": 123,
"TaxYear": 123,
"Utilities": [
"<string>"
],
"WaterSource": [
"Cistern"
],
"ConstructionMaterials": [
"Brick"
],
"PowerProductionType": "<string>",
"TotalActualRent": 123,
"LeaseExpiration": "2023-12-25",
"inventory_password": 123,
"inventory_hash": "<string>",
"TaxAnnualAmount": 123,
"cbsa_title": "<string>",
"ListAgentFirstName": "<string>",
"ListAgentLastName": "<string>",
"ListAgentMlsId": "<string>",
"ListAgentStateLicense": "<string>",
"ListAgentKey": "<string>",
"PropertyCondition": "Needs Minor Aesthetic Repairs",
"test": true
},
"assumptions": [
{
"assumption_id": 123,
"created_at": "now()",
"inventory_property_id": 123,
"ltr_monthly_rent": 123,
"ltr_annual_rent_increase": 123,
"ltr_arv": 123,
"ltr_renovation_cost": 123,
"str_season_1_daily_rate": 123,
"str_season_2_daily_rate": 123,
"str_season_3_daily_rate": 123,
"str_season_4_daily_rate": 123,
"str_arv": 123,
"str_renovation_cost": 123,
"rr_weekly_rent_per_room": 123,
"rr_arv": 123,
"rr_beds": 123,
"rr_baths": 123,
"ff_arv": 123,
"ff_renovation_cost": 123,
"property_annual_tax": 123,
"property_annual_hoa": 123,
"rr_renovation_cost": 123,
"reno_items": [
{}
],
"fmv": 123
}
],
"media": [
"<string>"
]
}{
"error": 123,
"message": "<string>"
}Cash Offer Requests
Get Offer Request
Get a single offer request based on the ID supplied
GET
/
offer-requests
/
{offer_request_id}
cURL
Authorizations
Path Parameters
ID of plant to delete
Response
Offer request response
Show child attributes
Show child attributes
property fields named with Pascal Case convention follow the RESO 2.0 standard
Show child attributes
Show child attributes
Analyst assumptions. Only available to buyers
Show child attributes
Show child attributes
List of signed URLs. Note that the URLs will become invalid after 10 minutes.